import { ChangeDetectorRef, EventEmitter } from '@angular/core';
import { GridColumn, GridItem } from '../../grid-control.model';
export declare class GridDesktopColumnEditComponent {
    private ref;
    column: GridColumn;
    item: GridItem;
    sdChange: EventEmitter<{
        column: GridColumn;
        item: GridItem;
        value: any;
    }>;
    constructor(ref: ChangeDetectorRef);
    onEditorChange: (column: GridColumn, item: GridItem, value: any) => void;
    onSearch: (searchValue: string, item: GridItem, column: GridColumn) => void;
}
